package cn.com.poc.law.dto;

/**
 * @author alex.yao
 * @date 2025/6/20
 */
public class AiLawDialoguesDto {


    /**
     * 对话id
     */
    private String dialoguesId;

    /**
     * 问题
     */
    private String input;


    /**
     * 文件地址
     */
    private String fileUrl;

    /**
     * 知识库ids
     */
    private Integer[] knowledgeIds;

    /**
     * 数据库ids
     */
    private Integer[] databaseIds;

    /**
     * 是否开启联网检索
     */
    private boolean enableSearchEngine;

    /**
     * 是否开启思考模式
     */
    private boolean enableDeepThinking;

    /**
     *
     * @return
     */
    private String templateCode;

    /**
     * 用户模板生成,是否覆盖之前的数据
     * @return
     */
    private boolean ifCover;

    public String getDialoguesId() {
        return dialoguesId;
    }

    public void setDialoguesId(String dialoguesId) {
        this.dialoguesId = dialoguesId;
    }

    public String getInput() {
        return input;
    }

    public void setInput(String input) {
        this.input = input;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public Integer[] getKnowledgeIds() {
        return knowledgeIds;
    }

    public void setKnowledgeIds(Integer[] knowledgeIds) {
        this.knowledgeIds = knowledgeIds;
    }

    public Integer[] getDatabaseIds() {
        return databaseIds;
    }

    public void setDatabaseIds(Integer[] databaseIds) {
        this.databaseIds = databaseIds;
    }

    public boolean getEnableSearchEngine() {
        return enableSearchEngine;
    }

    public void setEnableSearchEngine(boolean enableSearchEngine) {
        this.enableSearchEngine = enableSearchEngine;
    }

    public boolean getEnableDeepThinking() {
        return enableDeepThinking;
    }

    public void setEnableDeepThinking(boolean enableDeepThinking) {
        this.enableDeepThinking = enableDeepThinking;
    }

    public boolean isEnableSearchEngine() {
        return enableSearchEngine;
    }

    public boolean isEnableDeepThinking() {
        return enableDeepThinking;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public boolean getIfCover() {
        return ifCover;
    }

    public void setIfCover(boolean ifCover) {
        this.ifCover = ifCover;
    }
}
